Appearance
Get Simple Buy/Sell order status
GET
/v1/simple/order/{orderId}
Get the status of a Simple Buy/Sell order.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Path Parameters
orderId*
Order Id of the order for which you are querying the status
Type
Requiredstring
Responses
Order status retrieved successfully
application/json
JSON
{
"orderId": "9fed72b4-5d59-4bd7-b4fc-26cf43d27c94",
"success": true,
"processing": false,
"paidAmount": "0.0008",
"paidCurrency": "BTC",
"receivedAmount": "54.49553877",
"receivedCurrency": "ADA",
"feeAmount": "0.000006",
"feeCurrency": "BTC",
"orderExecutedAt": "2019-04-20T13:57:56.618"
}